'use strict';

var _require = require('babel-plugin-macros'),
    createMacro = _require.createMacro;

var _require2 = require('./index'),
    handleCreateRazor = _require2.handleCreateRazor;

module.exports = createMacro(bladeMacros);

function bladeMacros(_ref) {
  var references = _ref.references,
      t = _ref.babel.types;
  var createQuery = references.createQuery,
      createFragment = references.createFragment;
  [].concat(createFragment, createQuery).forEach(function (referencePath) {
    return handleCreateRazor(referencePath, t);
  });
}